diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/model/lr-wpan-spectrum-value-helper.h ns-3.44/src/lr-wpan/model/lr-wpan-spectrum-value-helper.h
--- ns-3.43/src/lr-wpan/model/lr-wpan-spectrum-value-helper.h	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/model/lr-wpan-spectrum-value-helper.h	2025-03-09 16:55:49.419371100 -0700
@@ -8,7 +8,7 @@
 #ifndef LR_WPAN_SPECTRUM_VALUE_HELPER_H
 #define LR_WPAN_SPECTRUM_VALUE_HELPER_H
 
-#include <ns3/ptr.h>
+#include "ns3/ptr.h"
 
 namespace ns3
 {
@@ -19,9 +19,9 @@
 {
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
- * \brief This class defines all functions to create spectrum model for LrWpan
+ * @brief This class defines all functions to create spectrum model for LrWpan
  */
 class LrWpanSpectrumValueHelper
 {
@@ -30,32 +30,32 @@
     virtual ~LrWpanSpectrumValueHelper();
 
     /**
-     * \brief create spectrum value
-     * \param txPower the power transmission in dBm
-     * \param channel the channel number per IEEE802.15.4
-     * \return a Ptr to a newly created SpectrumValue instance
+     * @brief create spectrum value
+     * @param txPower the power transmission in dBm
+     * @param channel the channel number per IEEE802.15.4
+     * @return a Ptr to a newly created SpectrumValue instance
      */
     Ptr<SpectrumValue> CreateTxPowerSpectralDensity(double txPower, uint32_t channel);
 
     /**
-     * \brief create spectrum value for noise
-     * \param channel the channel number per IEEE802.15.4
-     * \return a Ptr to a newly created SpectrumValue instance
+     * @brief create spectrum value for noise
+     * @param channel the channel number per IEEE802.15.4
+     * @return a Ptr to a newly created SpectrumValue instance
      */
     Ptr<SpectrumValue> CreateNoisePowerSpectralDensity(uint32_t channel);
 
     /**
      * Set the noise factor added to the thermal noise.
-     * \param f A dimensionless ratio (i.e. Not in dB)
+     * @param f A dimensionless ratio (i.e. Not in dB)
      */
     void SetNoiseFactor(double f);
 
     /**
-     * \brief total average power of the signal is the integral of the PSD using
+     * @brief total average power of the signal is the integral of the PSD using
      * the limits of the given channel
-     * \param psd spectral density
-     * \param channel the channel number per IEEE802.15.4
-     * \return total power (using composite trap. rule to numerally integrate)
+     * @param psd spectral density
+     * @param channel the channel number per IEEE802.15.4
+     * @return total power (using composite trap. rule to numerally integrate)
      */
     static double TotalAvgPower(Ptr<const SpectrumValue> psd, uint32_t channel);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-ack-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-ack-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-ack-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-ack-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -9,16 +9,16 @@
  *  Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
 
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
 #include "ns3/rng-seed-manager.h"
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 #include <fstream>
 #include <iostream>
@@ -31,15 +31,15 @@
 NS_LOG_COMPONENT_DEFINE("lr-wpan-ack-test");
 
 /**
- * \ingroup lr-wpan
- * \defgroup lr-wpan-test LrWpan module tests
+ * @ingroup lr-wpan
+ * @defgroup lr-wpan-test LrWpan module tests
  */
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan ACK Test
+ * @brief LrWpan ACK Test
  */
 class LrWpanAckTestCase : public TestCase
 {
@@ -58,31 +58,31 @@
     /**
      * Create test case
      *
-     * \param prefix Unique file names prefix
-     * \param mode   Test mode
+     * @param prefix Unique file names prefix
+     * @param mode   Test mode
      */
     LrWpanAckTestCase(const char* const prefix, TestMode_e mode);
 
     /**
-     * \brief Function called when DataIndication is hit on dev0.
-     * \param params The MCPS params.
-     * \param p the packet.
+     * @brief Function called when DataIndication is hit on dev0.
+     * @param params The MCPS params.
+     * @param p the packet.
      */
     void DataIndicationDev0(McpsDataIndicationParams params, Ptr<Packet> p);
     /**
-     * \brief Function called when DataIndication is hit on dev1.
-     * \param params The MCPS params.
-     * \param p the packet.
+     * @brief Function called when DataIndication is hit on dev1.
+     * @param params The MCPS params.
+     * @param p the packet.
      */
     void DataIndicationDev1(McpsDataIndicationParams params, Ptr<Packet> p);
     /**
-     * \brief Function called when DataConfirm is hit on dev0.
-     * \param params The MCPS params.
+     * @brief Function called when DataConfirm is hit on dev0.
+     * @param params The MCPS params.
      */
     void DataConfirmDev0(McpsDataConfirmParams params);
     /**
-     * \brief Function called when DataConfirm is hit on dev1.
-     * \param params The MCPS params.
+     * @brief Function called when DataConfirm is hit on dev1.
+     * @param params The MCPS params.
      */
     void DataConfirmDev1(McpsDataConfirmParams params);
 
@@ -277,12 +277,14 @@
     }
     traceFile.close();
 
-    // Note: the packet being correctly sent includes receiving an ACK in case of for unicact
+    // Note: the packet being correctly sent includes receiving an ACK in case of for unicast
     // packets.
     NS_TEST_EXPECT_MSG_LT(m_requestTime,
                           m_replyTime,
                           "Sent the request before the reply (as expected)");
-    NS_TEST_EXPECT_MSG_GT(m_requestSentTime, Time(0), "The request was sent (as expected)");
+    NS_TEST_EXPECT_MSG_EQ(m_requestSentTime.IsStrictlyPositive(),
+                          true,
+                          "The request was sent (as expected)");
     NS_TEST_EXPECT_MSG_LT(m_requestSentTime,
                           m_replyArrivalTime,
                           "The request was sent before the reply arrived (as expected)");
@@ -300,10 +302,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan ACK TestSuite
+ * @brief LrWpan ACK TestSuite
  */
 class LrWpanAckTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-cca-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-cca-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-cca-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-cca-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -8,16 +8,16 @@
  *  Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
  */
 
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
 #include "ns3/rng-seed-manager.h"
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 #include <iomanip>
 #include <iostream>
@@ -28,8 +28,8 @@
 NS_LOG_COMPONENT_DEFINE("lr-wpan-cca-test");
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
  * LrWpan CCA Test
  */
@@ -349,10 +349,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief Test the sensitivity of the CSMA/CA clear channel assestment (CCA)
+ * @brief Test the sensitivity of the CSMA/CA clear channel assestment (CCA)
  */
 class CCAVulnerableWindowTest : public TestCase
 {
@@ -587,8 +587,8 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
  * LrWpan ACK TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-collision-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-collision-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-collision-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-collision-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -6,15 +6,15 @@
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
 
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/mac16-address.h>
-#include <ns3/mac64-address.h>
-#include <ns3/mobility-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-module.h>
-#include <ns3/spectrum-module.h>
-#include <ns3/test.h>
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/mac16-address.h"
+#include "ns3/mac64-address.h"
+#include "ns3/mobility-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-module.h"
+#include "ns3/spectrum-module.h"
+#include "ns3/test.h"
 
 using namespace ns3;
 using namespace ns3::lrwpan;
@@ -22,10 +22,10 @@
 NS_LOG_COMPONENT_DEFINE("lr-wpan-collision-test");
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan Collision Test
+ * @brief LrWpan Collision Test
  */
 class LrWpanCollisionTestCase : public TestCase
 {
@@ -34,9 +34,9 @@
     ~LrWpanCollisionTestCase() override;
 
     /**
-     * \brief Function called when DataIndication is hit.
-     * \param params The MCPS params.
-     * \param p The packet.
+     * @brief Function called when DataIndication is hit.
+     * @param params The MCPS params.
+     * @param p The packet.
      */
     void DataIndication(McpsDataIndicationParams params, Ptr<Packet> p);
 
@@ -203,10 +203,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan Collision TestSuite
+ * @brief LrWpan Collision TestSuite
  */
 class LrWpanCollisionTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-ed-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-ed-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-ed-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-ed-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -7,16 +7,16 @@
  *  Sascha Alexander Jopen <jopen@cs.uni-bonn.de>
  */
 
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
 #include "ns3/rng-seed-manager.h"
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 #include <iostream>
 
@@ -26,10 +26,10 @@
 NS_LOG_COMPONENT_DEFINE("lr-wpan-energy-detection-test");
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan Energy Detection Test
+ * @brief LrWpan Energy Detection Test
  */
 class LrWpanEdTestCase : public TestCase
 {
@@ -40,9 +40,9 @@
     void DoRun() override;
 
     /**
-     * \brief Function called when PlmeEdConfirm is hit.
-     * \param status The PHY status.
-     * \param level The ED level.
+     * @brief Function called when PlmeEdConfirm is hit.
+     * @param status The PHY status.
+     * @param level The ED level.
      */
     void PlmeEdConfirm(PhyEnumeration status, uint8_t level);
 
@@ -244,10 +244,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan Energy Detection TestSuite
+ * @brief LrWpan Energy Detection TestSuite
  */
 class LrWpanEdTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-error-model-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-error-model-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-error-model-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-error-model-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -5,21 +5,21 @@
  *
  * Author: Tom Henderson <thomas.r.henderson@boeing.com>
  */
+#include "ns3/callback.h"
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-error-model.h"
+#include "ns3/lr-wpan-mac.h"
+#include "ns3/lr-wpan-net-device.h"
+#include "ns3/mac16-address.h"
+#include "ns3/net-device.h"
+#include "ns3/node.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-loss-model.h"
 #include "ns3/rng-seed-manager.h"
-#include <ns3/callback.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-error-model.h>
-#include <ns3/lr-wpan-mac.h>
-#include <ns3/lr-wpan-net-device.h>
-#include <ns3/mac16-address.h>
-#include <ns3/net-device.h>
-#include <ns3/node.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
-#include <ns3/test.h>
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
+#include "ns3/test.h"
 
 using namespace ns3;
 using namespace ns3::lrwpan;
@@ -27,10 +27,10 @@
 NS_LOG_COMPONENT_DEFINE("lr-wpan-error-model-test");
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan Error Vs Distance Test
+ * @brief LrWpan Error Vs Distance Test
  */
 class LrWpanErrorDistanceTestCase : public TestCase
 {
@@ -39,8 +39,8 @@
     ~LrWpanErrorDistanceTestCase() override;
 
     /**
-     * \brief Get the number of received packets.
-     * \returns The number of received packets.
+     * @brief Get the number of received packets.
+     * @returns The number of received packets.
      */
     uint32_t GetReceived() const
     {
@@ -51,19 +51,19 @@
     void DoRun() override;
 
     /**
-     * \brief Function to be called when a packet is received.
-     * \param params MCPS params.
-     * \param p The packet.
+     * @brief Function to be called when a packet is received.
+     * @param params MCPS params.
+     * @param p The packet.
      */
     void Callback(McpsDataIndicationParams params, Ptr<Packet> p);
     uint32_t m_received; //!< The number of received packets.
 };
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan Error model Test
+ * @brief LrWpan Error model Test
  */
 class LrWpanErrorModelTestCase : public TestCase
 {
@@ -185,10 +185,10 @@
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan Error model TestSuite
+ * @brief LrWpan Error model TestSuite
  */
 class LrWpanErrorModelTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/test/lr-wpan-ifs-test.cc ns-3.44/src/lr-wpan/test/lr-wpan-ifs-test.cc
--- ns-3.43/src/lr-wpan/test/lr-wpan-ifs-test.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/test/lr-wpan-ifs-test.cc	2025-03-09 16:55:49.419371100 -0700
@@ -7,16 +7,16 @@
  *  Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
  */
 
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/core-module.h"
+#include "ns3/log.h"
+#include "ns3/lr-wpan-module.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
 #include "ns3/rng-seed-manager.h"
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/core-module.h>
-#include <ns3/log.h>
-#include <ns3/lr-wpan-module.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
 
 #include <iomanip>
 #include <iostream>
@@ -27,10 +27,10 @@
 NS_LOG_COMPONENT_DEFINE("lr-wpan-ifs-test");
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan Dataframe transmission with Interframe Space
+ * @brief LrWpan Dataframe transmission with Interframe Space
  */
 class LrWpanDataIfsTestCase : public TestCase
 {
@@ -40,50 +40,50 @@
 
   private:
     /**
-     * \brief Function called when DataConfirm is hit.
-     * \param testcase pointer to the testcase
-     * \param dev originating NetDevice
-     * \param params the MCPS params
+     * @brief Function called when DataConfirm is hit.
+     * @param testcase pointer to the testcase
+     * @param dev originating NetDevice
+     * @param params the MCPS params
      */
     static void DataConfirm(LrWpanDataIfsTestCase* testcase,
                             Ptr<LrWpanNetDevice> dev,
                             McpsDataConfirmParams params);
 
     /**
-     * \brief Function called when DataReceived is hit.
-     * \param testcase pointer to the testcase
-     * \param dev originating NetDevice
-     * \param p packet
+     * @brief Function called when DataReceived is hit.
+     * @param testcase pointer to the testcase
+     * @param dev originating NetDevice
+     * @param p packet
      */
     static void DataReceivedDev0(LrWpanDataIfsTestCase* testcase,
                                  Ptr<LrWpanNetDevice> dev,
                                  Ptr<const Packet> p);
 
     /**
-     * \brief Function called when PhyDataRxStart is hit.
-     * \param testcase pointer to the testcase
-     * \param dev originating NetDevice
-     * \param p packet
+     * @brief Function called when PhyDataRxStart is hit.
+     * @param testcase pointer to the testcase
+     * @param dev originating NetDevice
+     * @param p packet
      */
     static void PhyDataRxStart(LrWpanDataIfsTestCase* testcase,
                                Ptr<LrWpanNetDevice> dev,
                                Ptr<const Packet> p);
 
     /**
-     * \brief Function called when DataConfirm is hit.
-     * \param testcase pointer to the testcase
-     * \param dev originating NetDevice
-     * \param p packet
+     * @brief Function called when DataConfirm is hit.
+     * @param testcase pointer to the testcase
+     * @param dev originating NetDevice
+     * @param p packet
      */
     static void DataReceivedDev1(LrWpanDataIfsTestCase* testcase,
                                  Ptr<LrWpanNetDevice> dev,
                                  Ptr<const Packet>);
 
     /**
-     * \brief Function called when the IFS ends.
-     * \param testcase pointer to the testcase
-     * \param dev originating NetDevice
-     * \param IfsTime the IFS time
+     * @brief Function called when the IFS ends.
+     * @param testcase pointer to the testcase
+     * @param dev originating NetDevice
+     * @param IfsTime the IFS time
      */
     static void IfsEnd(LrWpanDataIfsTestCase* testcase, Ptr<LrWpanNetDevice> dev, Time IfsTime);
 
@@ -271,7 +271,7 @@
     ////////////////////////  SIFS ///////////////////////////
 
     Simulator::ScheduleWithContext(1,
-                                   Seconds(0.0),
+                                   Seconds(0),
                                    &LrWpanMac::McpsDataRequest,
                                    dev0->GetMac(),
                                    params,
@@ -284,7 +284,7 @@
     // SIFS = 12 symbols (192 Microseconds on a 2.4Ghz O-QPSK PHY)
     ifsSize = m_endIfs - m_lastTxTime;
     NS_TEST_EXPECT_MSG_EQ(ifsSize,
-                          Time(MicroSeconds(192)),
+                          MicroSeconds(192),
                           "Wrong Short InterFrame Space (SIFS) Size after dataframe Tx");
     std::cout << "----------------------------------\n";
 
@@ -293,7 +293,7 @@
     p0 = Create<Packet>(8);
 
     Simulator::ScheduleWithContext(1,
-                                   Seconds(0.0),
+                                   Seconds(0),
                                    &LrWpanMac::McpsDataRequest,
                                    dev0->GetMac(),
                                    params,
@@ -306,7 +306,7 @@
     // LIFS = 40 symbols (640 Microseconds on a 2.4Ghz O-QPSK PHY)
     ifsSize = m_endIfs - m_lastTxTime;
     NS_TEST_EXPECT_MSG_EQ(ifsSize,
-                          Time(MicroSeconds(640)),
+                          MicroSeconds(640),
                           "Wrong Long InterFrame Space (LIFS) Size after dataframe Tx");
     std::cout << "----------------------------------\n";
 
@@ -316,7 +316,7 @@
     p0 = Create<Packet>(2);
 
     Simulator::ScheduleWithContext(1,
-                                   Seconds(0.0),
+                                   Seconds(0),
                                    &LrWpanMac::McpsDataRequest,
                                    dev0->GetMac(),
                                    params,
@@ -329,7 +329,7 @@
     // SIFS = 12 symbols (192 Microseconds on a 2.4Ghz O-QPSK PHY)
     ifsSize = m_endIfs - m_ackRxTime;
     NS_TEST_EXPECT_MSG_EQ(ifsSize,
-                          Time(MicroSeconds(192)),
+                          MicroSeconds(192),
                           "Wrong Short InterFrame Space (SIFS) Size after ACK Rx");
     std::cout << "----------------------------------\n";
 
@@ -339,7 +339,7 @@
     p0 = Create<Packet>(8);
 
     Simulator::ScheduleWithContext(1,
-                                   Seconds(0.0),
+                                   Seconds(0),
                                    &LrWpanMac::McpsDataRequest,
                                    dev0->GetMac(),
                                    params,
@@ -352,7 +352,7 @@
     // LIFS = 40 symbols (640 Microseconds on a 2.4Ghz O-QPSK PHY)
     ifsSize = m_endIfs - m_ackRxTime;
     NS_TEST_EXPECT_MSG_EQ(ifsSize,
-                          Time(MicroSeconds(640)),
+                          MicroSeconds(640),
                           "Wrong Long InterFrame Space (LIFS) Size after ACK Rx");
     std::cout << "----------------------------------\n";
 
@@ -377,7 +377,7 @@
     params.m_msduHandle = 0;
 
     Simulator::ScheduleWithContext(1,
-                                   Seconds(0.0),
+                                   Seconds(0),
                                    &LrWpanMac::McpsDataRequest,
                                    dev0->GetMac(),
                                    params,
@@ -391,14 +391,28 @@
 
     //////////////////////////////////////////////////////////////////////////////////
 
+    // Disconnect traces to eliminate Valgrid errors
+    dev0->GetMac()->TraceDisconnectWithoutContext(
+        "IfsEnd",
+        MakeBoundCallback(&LrWpanDataIfsTestCase::IfsEnd, this, dev0));
+    dev0->GetMac()->TraceDisconnectWithoutContext(
+        "MacRx",
+        MakeBoundCallback(&LrWpanDataIfsTestCase::DataReceivedDev0, this, dev0));
+    dev0->GetPhy()->TraceDisconnectWithoutContext(
+        "PhyRxBegin",
+        MakeBoundCallback(&LrWpanDataIfsTestCase::PhyDataRxStart, this, dev0));
+    dev1->GetMac()->TraceDisconnectWithoutContext(
+        "MacRx",
+        MakeBoundCallback(&LrWpanDataIfsTestCase::DataReceivedDev1, this, dev1));
+
     Simulator::Destroy();
 }
 
 /**
- * \ingroup lr-wpan-test
- * \ingroup tests
+ * @ingroup lr-wpan-test
+ * @ingroup tests
  *
- * \brief LrWpan IFS TestSuite
+ * @brief LrWpan IFS TestSuite
  */
 
 class LrWpanIfsTestSuite : public TestSuite
